<%if (sql_answer) {%>
<div class="row">
    <div class="container-fluid card-body card mt-2">
    <div class="form-check form-check-inline">
        <label class="form-check-label">
            <input class="form-check-input" type="checkbox" id="chkTupleOrder" name="check_tuple_order" value="true" <%=((sql_answer.check_tuple_order)
                ? "checked" : "")%>> Check tuple order
        </label>
        </div>

        <div class="form-check form-check-inline">
            <label class="form-check-label">
                <input class="form-check-input" type="radio" name="id_check_column_mode" id="id_check_column_mode1" value="1" <%=((sql_answer.id_check_column_mode==1
                    ) ? "checked" : "")%> >1. STRICT: both column names and order must match.
            </label>
        </div>
        <div class="form-check form-check-inline">
            <label class="form-check-label">
                <input class="form-check-input" type="radio" name="id_check_column_mode" id="id_check_column_mode2" value="2" <%=((sql_answer.id_check_column_mode==2
                    ) ? "checked" : "")%>>2. SQL: column order must match (column names ignored).
            </label>
        </div>
        <div class="form-check form-check-inline">
            <label class="form-check-label">
                <input class="form-check-input" type="radio" name="id_check_column_mode" id="id_check_column_mode3" value="3" <%=((sql_answer.id_check_column_mode==3
                    ) ? "checked" : "")%>>3. RELALG: column names must match (column order ignored).
            </label>
        </div>
        <div class="form-check form-check-inline">
            <label class="form-check-label">
                <input class="form-check-input" type="radio" name="id_check_column_mode" id="id_check_column_mode4" value="4" <%=((sql_answer.id_check_column_mode==4
                    ) ? "checked" : "")%>>4. PERMISSIVE: try 3 (to match by names); if not - try 2 (use column order).
            </label>
        </div>

    </div>
    <div id="accordion" role="tablist" aria-multiselectable="true" class="w-100">
        <div class="w-100 card mt-2">
            <div class="card-header" role="tab" id="headingTwo">
                <h5 class="mb-0">
                    <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">
                        SQL Answer <small ml-3 class="text-muted">(typically SELECT, but can also be UPDATE, DELETE)</span>
                    </a>
                </h5>
            </div>
            <div id="collapseTwo" class="collapse fade show active" role="tabpanel" aria-labelledby="headingTwo">
                <div class="card-body">
                    <div class="container-fluid">
                        <textarea id="sql_answer" name="sql_answer" data-a2-type="sqlcode" style="display: none"><%-sql_answer.sql_answer%></textarea>
                        <div class="container-fluid text-right">
                            <button class="btn btn-success" resultdiv="sql_result2" target="sql_answer" type="submit" id_question="<%=question.id%>"
                                name="runsql" value="run">Run</button>
                        </div>
                        <div id="sql_result2" class="container-fluid sql_result"></div>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-100 card mt-2">
            <div class="card-header" role="tab" id="headingOne">
                <h5 class="mb-0">
                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                        <small class="ml-3 text-muted">(optional)</small> SQL prefix <small class="ml-3 text-muted">(this code will be contcatenated before the SQL answer, e.g. INSERT INTO or CREATE TABLE to temorarily change the database)</small>
                    </a>
                </h5>
            </div>

            <div id="collapseOne" class="collapse fade <%-sql_answer.sql_test_fixture ? 'show' : ''%>" role="tabpanel" aria-labelledby="headingOne">
                <div class="card-body">
                    <div class="container-fluid">
                        <textarea id="sql_test_fixture" name="sql_test_fixture" data-a2-type="sqlcode" style="display: none"><%-sql_answer.sql_test_fixture%></textarea>
                        <div class="container-fluid text-right">
                            <button class="btn btn-success" resultdiv="sql_result1"
                                target="sql_test_fixture,sql_answer,sql_alt_assertion,sql_alt_presentation_query"
                                type="submit"
                                id_question="<%=question.id%>"
                                name="runsql" value="run">Run all</button>
                        </div>
                        <div id="sql_result1" class="container-fluid sql_result"></div>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-100 card mt-2">
            <div class="card-header" role="tab" id="headingThree">
                <h5 class="mb-0">
                    <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                        <small class="ml-3 text-muted">(optional)</small> SQL suffix <small class="text-muted ml-3">(this code will be contcatenated after the SQL answer, typically used when SQL answer is NOT select query but update, delete...)</small>
                    </a>
                </h5>
            </div>
            <div id="collapseThree" class="collapse fade <%-sql_answer.sql_alt_assertion ? 'show' : ''%>" role="tabpanel" aria-labelledby="headingThree">
                <div class="card-body">
                    <div class="container-fluid">
                        <textarea id="sql_alt_assertion" name="sql_alt_assertion" data-a2-type="sqlcode" style="display: none"><%-sql_answer.sql_alt_assertion%></textarea>
                        <div class="container-fluid text-right">
                            <button class="btn btn-success" resultdiv="sql_result3"
                                target="sql_test_fixture,sql_answer,sql_alt_assertion,sql_alt_presentation_query"
                                type="submit"
                                id_question="<%=question.id%>"
                                name="runsql" value="run">Run all</button>
                        </div>
                        <div id="sql_result3" class="container-fluid sql_result"></div>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-100 card mt-2">
            <div class="card-header" role="tab" id="headingFour">
                <h5 class="mb-0">
                    <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                        <small class="ml-3 text-muted">(optional)</small> Presentation query  <small class="text-muted ml-3">(optional, to be used instead of SQL answer, typically when SQL answer is not select but update, delete...)</small>
                    </a>
                </h5>
            </div>
            <div id="collapseFour" class="collapse fade <%-sql_answer.sql_alt_presentation_query ? 'show' : ''%>" role="tabpanel" aria-labelledby="headingFour">
                <div class="card-body">
                    <div class="container-fluid">
                        <textarea id="sql_alt_presentation_query" name="sql_alt_presentation_query" data-a2-type="sqlcode" style="display: none"><%-sql_answer.sql_alt_presentation_query%></textarea>
                        <div class="container-fluid text-right">
                            <button class="btn btn-success" resultdiv="sql_result4"
                                target="sql_test_fixture,sql_answer,sql_alt_assertion,sql_alt_presentation_query"
                                type="submit" id_question="<%=question.id%>"
                                name="runsql" value="run">Run all</button>
                        </div>
                        <div id="sql_result4" class="container-fluid sql_result"></div>
                    </div>
                </div>
            </div>
        </div>

    </div>


</div>
<%- include("./_editQuestionTutorialSuffix")   %>
<% } %>
